Subject: [OAUTH-WG] I-D Action: draft-ietf-oauth-security-topics-05.txt

From: [email-masked]
Date: Sun, 18 Mar 2018 12:12:50 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Web Authorization Protocol WG of the IETF.

        Title           : OAuth 2.0 Security Best Current Practice
        Authors         : Torsten Lodderstedt
                          John Bradley
                          Andrey Labunets
	Filename        : draft-ietf-oauth-security-topics-05.txt
	Pages           : 27
	Date            : 2018-03-18

Abstract:
   This document describes best current security practices for OAuth
   2.0..  It updates and extends the OAuth 2.0 Security Threat Model to
   incorporate practical experiences gathered since OAuth 2.0 was
   published and cover new threats relevant due to the broader
   application of OAuth 2.0.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-oauth-security-topics/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-oauth-security-topics-05
https://datatracker.ietf.org/doc/html/draft-ietf-oauth-security-topics-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-oauth-security-topics-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Torsten Lodderstedt <[email-masked]>
Date: Sun, 18 Mar 2018 20:18:16 +0100

Hi all,

The new revision contains the following changes: 

Completed sections on code leakage via referrer header, attacks in browser, mix-up, and CSRF
Reworked Code Injection Section
Added reference to OpenID Connect spec
removed refresh token leakage as respective considerations have been given in section 10.4 of RFC 6749
first version on open redirection
incorporated Christian Mainka's review feedback

We think the document now covers recommendation on all (currently) relevant threats and is useful for all OAuth implementors and should be moved forward. 

kind regards,
Torsten. 

> Am 18.03.2018 um 20:12 schrieb [email-masked]:
> 
> 
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth